public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alessandro Barbieri" <lssndrbarbieri@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: dev-python/pytest-randomly/
Date: Wed,  9 Dec 2020 23:00:01 +0000 (UTC)	[thread overview]
Message-ID: <1607553551.5196c14508ac0cbef01c137b551a164ea1a7a258.Alessandro-Barbieri@gentoo> (raw)

commit:     5196c14508ac0cbef01c137b551a164ea1a7a258
Author:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Wed Dec  9 22:36:25 2020 +0000
Commit:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
CommitDate: Wed Dec  9 22:39:11 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=5196c145

dev-python/pytest-randomly: new version

Package-Manager: Portage-3.0.10, Repoman-3.0.2
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>

 dev-python/pytest-randomly/Manifest                |  1 +
 .../pytest-randomly/pytest-randomly-3.5.0.ebuild   | 53 ++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/dev-python/pytest-randomly/Manifest b/dev-python/pytest-randomly/Manifest
index 03807ea5..68c4d05f 100644
--- a/dev-python/pytest-randomly/Manifest
+++ b/dev-python/pytest-randomly/Manifest
@@ -1 +1,2 @@
 DIST pytest-randomly-3.4.1.tar.gz 32468 BLAKE2B 6aaddfca7434a8b7060aa32d69f84ff5e03e5f43bcfdfacc56f792ba6e1a1f5f49dca641a0100ed4ddf0f6947017aa354ab4fcc2ad837bb5b072aab8142f07b6 SHA512 3f1006ce67478221fb57369f6b0dcbb41bdd38798059112cff2e113ab101a4d07e72e5f302ffdf6159cc8600999f691f0f665fda4c0fcf58bba3c4fe5a12c039
+DIST pytest-randomly-3.5.0.tar.gz 36605 BLAKE2B 1e993f7b0cec9fede1fd22c9be06ca34b884ea67183e13197e59359ebb5b8a6bc86715b117f379d72c11eec85fe31c3f4cb1dd7c2bae1412dabd630ddff81bbf SHA512 ed5cc11799e38caaa899ab25f75469baa2c57a5113c3e51129c4cee801b0eded57f6165113f8cb5a8c995057569c224b9039d601b361b9e95553dc8cb338b368

diff --git a/dev-python/pytest-randomly/pytest-randomly-3.5.0.ebuild b/dev-python/pytest-randomly/pytest-randomly-3.5.0.ebuild
new file mode 100644
index 00000000..36dac6ba
--- /dev/null
+++ b/dev-python/pytest-randomly/pytest-randomly-3.5.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+DISTUTILS_USE_SETUPTOOLS=bdepend
+PYTHON_COMPAT=( python3_{7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="Pytest plugin to randomly order tests and control random.seed"
+HOMEPAGE="
+	https://pypi.python.org/pypi/pytest-randomly
+	https://github.com/pytest-dev/pytest-randomly
+"
+SRC_URI="https://github.com/pytest-dev/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+	dev-python/docutils[${PYTHON_USEDEP}]
+	dev-python/factory_boy[${PYTHON_USEDEP}]
+	dev-python/faker[${PYTHON_USEDEP}]
+	dev-python/numpy[${PYTHON_USEDEP}]
+	dev-python/pytest[${PYTHON_USEDEP}]
+
+	$(python_gen_cond_dep 'dev-python/importlib_metadata[${PYTHON_USEDEP}]' python3_7)
+	$(python_gen_cond_dep 'dev-python/pygments[${PYTHON_USEDEP}]' python3_9)
+"
+DEPEND="
+	test? (
+		dev-python/pytest-randomly[${PYTHON_USEDEP}]
+		dev-python/pytest-xdist[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+	pytest -vv \
+		--deselect tests/test_pytest_randomly.py::test_entrypoint_injection \
+		--deselect tests/test_pytest_randomly.py::test_classes_reordered \
+		--deselect tests/test_pytest_randomly.py::test_doctests_reordered \
+		--deselect tests/test_pytest_randomly.py::test_class_test_methods_reordered \
+		--deselect tests/test_pytest_randomly.py::test_files_reordered \
+		--deselect tests/test_pytest_randomly.py::test_test_functions_reordered \
+		--deselect tests/test_pytest_randomly.py::test_test_functions_reordered_when_randomness_in_module \
+		--deselect tests/test_pytest_randomly.py::test_files_reordered_when_seed_not_reset \
+		--deselect tests/test_pytest_randomly.py::test_doctests_in_txt_files_reordered \
+	|| die "Testsuite failed under ${EPYTHON}"
+}


             reply	other threads:[~2020-12-09 23:00 UTC|newest]

Thread overview: 18+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-12-09 23:00 Alessandro Barbieri [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-03-16 13:59 [gentoo-commits] repo/proj/guru:dev commit in: dev-python/pytest-randomly/ Anna Vyalkova
2022-06-01  5:03 Anna Vyalkova
2022-05-30 17:21 Alessandro Barbieri
2022-03-14  2:41 Alessandro Barbieri
2021-11-02  3:40 Alessandro Barbieri
2021-06-15 12:22 Alessandro Barbieri
2021-06-14 23:09 Alessandro Barbieri
2021-06-14  2:27 Alessandro Barbieri
2021-04-14  9:05 Theo Anderson
2020-12-18 19:05 [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2020-12-18 19:05 ` [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2020-08-28 15:26 [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2020-08-28 15:26 ` [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2020-05-19 19:46 Alessandro Barbieri
2020-05-19 11:24 [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2020-05-19 11:13 ` [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2020-05-18 18:39 Alessandro Barbieri
2020-04-27 21:24 Alessandro Barbieri
2020-04-25 12:53 Alessandro Barbieri
2020-04-25  0:37 Alessandro Barbieri

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1607553551.5196c14508ac0cbef01c137b551a164ea1a7a258.Alessandro-Barbieri@gentoo \
    --to=lssndrbarbieri@gmail.com \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox